<?
header('Content-type: application/pdf');
header('Content-Disposition: attachment; filename="downloaded.pdf"');

//incluindo o arquivo do fpdf
require_once("fpdf/fpdf.php");
//defininfo a fonte !
define('FPDF_FONTPATH','fpdf/font/');
//instancia a classe.. P=Retrato, mm =tipo de medida utilizada no casso milimetros, tipo de folha =A4
$pdf= new FPDF("P","mm","A4");
//define a fonte  a ser usada
$pdf->SetFont('arial','',10);
//define o titulo 
$pdf->SetTitle("Testando PDF com PHP !");
//assunto 
$pdf->SetSubject("assunto deste artigo!");
// posicao vertical no caso -1.. e o limite da margem
$pdf->SetY("-1"); 
$titulo="Titulo do Artigo";
//escreve no pdf largura,altura,conteudo,borda,quebra de linha,alinhamento
$pdf->Cell(0,5,$titulo,0,0,'L'); 
$pdf->Cell(0,5,'http://www.seusite.com.br',0,1,'R'); 
$pdf->Cell(0,0,'',1,1,'L'); 
$pdf->Ln(8);
//hora do conteudo do artigo
$pdf->SetFont('arial','',8);
$novo="A Agncia Nacional de Aviao Civil (Anac) informou, nesta segunda-feira (2), que vai investigar se as companhias ereas tm culpa pelos 
atrasos e cancelamentos registrados durante o fim de semana. 
No sbado (30), o percentual de vos com mais de uma hora de atrasos chegou a 45,2%. No domingo (1), at as 19h30, 36% dos vos tiveram atrasos.
"; 
//posiciona verticalmente 21mm
$pdf->SetY("21");
//posiciona horizontalmente 30mm
$pdf->SetX("30"); 
//escreve o conteudo de novo.. parametros posicao inicial,altura,conteudo(*texto),borda,quebra de linha,alinhamento
$pdf->MultiCell(0,5,$novo,0,1,'J'); 

$novo="
Nesta segunda-feira, a situao comeou a se normalizar, mas ainda h registro de problemas. At as 10h, dos 623 vos previstos nos 13 principais 
aeroportos brasileiros, 126 tiveram atrasos de mais de uma hora, segundo balano divulgado pela Infraero, a estatal que administra os terminais 
areos. O nmero equivale a 20,2% do total. Quarenta e seis decolagens foram canceladas (7,3%).
Os terminais que tiveram maiores percentuais de atrasos foram os do Recife (PE) e de Fortaleza (CE). Na Capital de Pernambuco, oito dos 24 vos 
marcados at as 10h atrasaram mais de uma hora (33,3% do total). No terminal cearense, oito das 25 partidas ocorreram fora 
O terminal que registrou maior ndice de cancelamentos foi o de Curitiba (PR). Das 22 decolagens programadas, quatro foram canceladas (18,1%).
A assessoria de Infraero informa que os atrasos so conseqncia dos transtornos do fim de semana. Muitos vos tiveram que ser remarcados para o 
incio desta semana.
Previso - O presidente da Infraero, brigadeiro Jos Carlos Pereira, tambm foi prejudicado pela crise area. Ele tinha uma viagem marcada de 
Braslia para o Rio s 7h desta segunda, mas o avio s decolou s 9h59. 
Apesar do transtorno, ele disse que as operaes esto ocorrendo normalmente nos principais aeroportos do pas e a situao deve se normalizar at as 
14h. 
";
//posiciona verticalmente 41mm
$pdf->SetY("41");
//posiciona horizontalmente 10mm
$pdf->SetX("10"); 
//escreve o conteudo de novo.. parametros posicao inicial,altura,conteudo(*texto),borda,quebra de linha,alinhamento
$pdf->MultiCell(0,5,$novo,0,1,'J'); 

//endereco da imagem,posicao X(horizontal),posicao Y(vertical), tamanho altura, tamanho largura
$pdf->Image("teste.jpg", 8,20,20,20);
/*******definindo o rodap*************************/
//posiciona verticalmente 270mm
$pdf->SetY("270"); 
//data atual
$data=date("d/m/Y");
$conteudo="criado em ".$data;
$texto="por Alexandre Oliveira";

//imprime uma celula... largura,altura, texto,borda,quebra de linha, alinhamento
$pdf->Cell(0,0,'',1,1,'L'); 
//imprime uma celula... largura,altura, texto,borda,quebra de linha, alinhamento
$pdf->Cell(0,5,$texto,0,0,'L'); 
//imprime uma celula... largura,altura, texto,borda,quebra de linha, alinhamento
$pdf->Cell(0,5,$conteudo,0,1,'R'); 


//imprime a saida do arquivo..
$pdf->Output("arquivo.pdf","I");

?>
